# Maintainer: Antoni Aloy <aaloytorrens@gmail.com>
pkgname=libversion
pkgver=3.0.2
pkgrel=0
pkgdesc='Advanced version string comparison library'
url='https://github.com/repology/libversion'
license="MIT"
arch="all"
makedepends="cmake"
subpackages="$pkgname-dev"
source="$pkgname-$pkgver.tar.gz::https://github.com/repology/libversion/archive/$pkgver.tar.gz"

build() {
	cmake -B build \
		-DCMAKE_INSTALL_PREFIX=/usr
	cmake --build build
}

package() {
	DESTDIR="$pkgdir" cmake --install build
}
sha512sums="
65cc975690da8ba27563553014a49dde3d8f57331a30ee1b6b5a00c49b3b63a2df17ccb78a0e9f24fbf1369f59647ea253129c860ecd0da7cbd5406a0bdccd6a  libversion-3.0.2.tar.gz
"
